<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
<!DOCTYPE MAN SYSTEM "file://D:\PROGRA~1\scilab-4.0\man/manrev.dtd">
<MAN>
  <LANGUAGE>eng</LANGUAGE>
  <TITLE>er</TITLE>
  <TYPE>Scilab Function  </TYPE>
  <DATE>4-Sep-2006</DATE>
  <SHORT_DESCRIPTION name="er">create the ER random graph</SHORT_DESCRIPTION>

  <CALLING_SEQUENCE>
  <CALLING_SEQUENCE_ITEM>[a,b] = er(N,K)</CALLING_SEQUENCE_ITEM>
  </CALLING_SEQUENCE>

  <PARAM>
  <PARAM_INDENT>

    <PARAM_ITEM>
    <PARAM_NAME>N</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
	       : integer
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>K</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
	       : integer
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>a</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP> 
	       : row vector of the numbers of the tail nodes of the graph (its size is the number of edges of the graph)
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>

    <PARAM_ITEM>
    <PARAM_NAME>b</PARAM_NAME>
    <PARAM_DESCRIPTION>
       <SP>
	       : row vector of the numbers of the head nodes of the graph (its size is the number of edges of the graph)
       </SP>
    </PARAM_DESCRIPTION>
    </PARAM_ITEM>
  </PARAM_INDENT>
  </PARAM>
 
  <DESCRIPTION>
     <DESCRIPTION_INDENT>
     <DESCRIPTION_ITEM>
	     <P> 
		     er creates one ER random graph. N is the network size, K is the average degree of ER graph.
	     </P>
     </DESCRIPTION_ITEM>
     </DESCRIPTION_INDENT>
  </DESCRIPTION>

  <EXAMPLE><![CDATA[
	  [a b]=er(1000,2);
	  g=make_graph('er',0,1000,a,b);
  ]]></EXAMPLE>

  <SEE_ALSO>
    <SEE_ALSO_ITEM> <LINK> ba</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> ws</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> bbv</LINK> </SEE_ALSO_ITEM>
    <SEE_ALSO_ITEM> <LINK> sba</LINK> </SEE_ALSO_ITEM>
  </SEE_ALSO>

  <AUTHORS>
    <AUTHORS_ITEM label='Wubo'>
    </AUTHORS_ITEM>
  </AUTHORS>
</MAN>
